
#include <qdialog.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qspinbox.h>

class TitleDialog : public QDialog
{
	Q_OBJECT
public:
	TitleDialog(QWidget *parent = 0, const char *name = 0);
	virtual ~TitleDialog();

private slots:
	void okay();

private:
	QLineEdit	*m_pTitle;
	QLineEdit	*m_pReferenceNum;
	QLineEdit	*m_pDirector;
	QComboBox	*m_pGenre;
	QComboBox	*m_pClassif;
	QLineEdit	*m_pActor1;
	QLineEdit	*m_pActor2;
	QLineEdit	*m_pReleaseDate;
	QSpinBox	*m_pRentalCost;
};
